Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I recently installed 12.04 but am unable to run sudo apt-get update and consequently sudo apt-get install xxx. When I run the first command I get several

Ign http://extras.ubuntu.com precise InRelease

and

Err http://extras.ubuntu.com precise release.gpg Unable to connect to extras.ubuntu.com

It works fine to wget extras.ubuntu.com.

My /etc/apt/sources.list is the original file with swedish mirrors se.archive.ubuntu.com/ubuntu. For what it is worth I have tried other mirrors with the same result. My sources.list can be found here.

Update

I am aware that there are many questions like this one, no one has helped me though. I performed the following commands with no change in result.

sudo mv /etc/apt/sources.list /etc/apt/sources.list.backup
sudo vi /etc/apt/sources.list

and pasted

################### OFFICIAL UBUNTU REPOS ###################
###### Ubuntu Main Repos
deb http://se.archive.ubuntu.com/ubuntu/ precise main 
deb-src http://se.archive.ubuntu.com/ubuntu/ precise main

###### Ubuntu Update Repos
deb http://se.archive.ubuntu.com/ubuntu/ precise-security main 
deb http://se.archive.ubuntu.com/ubuntu/ precise-updates main 
deb http://se.archive.ubuntu.com/ubuntu/ precise-proposed main 
deb http://se.archive.ubuntu.com/ubuntu/ precise-backports main 
deb-src http://se.archive.ubuntu.com/ubuntu/ precise-security main 
deb-src http://se.archive.ubuntu.com/ubuntu/ precise-updates main 
deb-src http://se.archive.ubuntu.com/ubuntu/ precise-proposed main 
deb-src http://se.archive.ubuntu.com/ubuntu/ precise-backports main

Output from wget -S --spider http://extras.ubuntu.com

Spider mode enabled. Check if remote file exists.
--2012-07-16 14:06:21--  http://extras.ubuntu.com/
Resolving www-proxy.ericsson.se (www-proxy.ericsson.se)... 153.88.253.150
Connecting to www-proxy.ericsson.se (www-proxy.ericsson.se)|153.88.253.150|:8080... connected.
Proxy request sent, awaiting response... 
  HTTP/1.1 200 OK
  Date: Mon, 16 Jul 2012 10:05:19 GMT
  Server: Apache/2.2.8 (Ubuntu)
  Content-Type: text/html;charset=UTF-8
  Connection: close
Length: unspecified [text/html]
Remote file exists and could contain further links,
but recursion is disabled -- not retrieving.

Output from apt-config dump

APT "";
APT::Architecture "i386";
APT::Build-Essential "";
APT::Build-Essential:: "build-essential";
APT::Install-Recommends "1";
APT::Install-Suggests "0";
APT::Authentication "";
APT::Authentication::TrustCDROM "true";
APT::NeverAutoRemove "";
APT::NeverAutoRemove:: "^firmware-linux.*";
APT::NeverAutoRemove:: "^linux-firmware$";
APT::NeverAutoRemove:: "^linux-image.*";
APT::NeverAutoRemove:: "^kfreebsd-image.*";
APT::NeverAutoRemove:: "^linux-restricted-modules.*";
APT::NeverAutoRemove:: "^linux-ubuntu-modules-.*";
APT::NeverAutoRemove:: "^gnumach$";
APT::NeverAutoRemove:: "^gnumach-image.*";
APT::Never-MarkAuto-Sections "";
APT::Never-MarkAuto-Sections:: "metapackages";
APT::Never-MarkAuto-Sections:: "restricted/metapackages";
APT::Never-MarkAuto-Sections:: "universe/metapackages";
APT::Never-MarkAuto-Sections:: "multiverse/metapackages";
APT::Never-MarkAuto-Sections:: "oldlibs";
APT::Never-MarkAuto-Sections:: "restricted/oldlibs";
APT::Never-MarkAuto-Sections:: "universe/oldlibs";
APT::Never-MarkAuto-Sections:: "multiverse/oldlibs";
APT::Periodic "";
APT::Periodic::Update-Package-Lists "1";
APT::Periodic::Download-Upgradeable-Packages "0";
APT::Periodic::AutocleanInterval "0";
APT::Update "";
APT::Update::Post-Invoke-Success "";
APT::Update::Post-Invoke-Success:: "touch /var/lib/apt/periodic/update-success-stamp 2>/dev/null || true";
APT::Update::Post-Invoke-Success:: "[ ! -f /var/run/dbus/system_bus_socket ] || /usr/bin/dbus-send --system --dest=org.debian.apt --type=signal /org/debian/apt org.debian.apt.CacheChanged || true";
APT::Archives "";
APT::Archives::MaxAge "30";
APT::Archives::MinAge "2";
APT::Archives::MaxSize "500";
APT::Changelogs "";
APT::Changelogs::Server "http://changelogs.ubuntu.com/changelogs";
APT::Architectures "";
APT::Architectures:: "i386";
APT::Compressor "";
APT::Compressor::. "";
APT::Compressor::.::Name ".";
APT::Compressor::.::Extension "";
APT::Compressor::.::Binary "";
APT::Compressor::.::Cost "1";
APT::Compressor::.::CompressArg "";
APT::Compressor::.::CompressArg:: "";
APT::Compressor::.::UncompressArg "";
APT::Compressor::.::UncompressArg:: "";
APT::Compressor::gzip "";
APT::Compressor::gzip::Name "gzip";
APT::Compressor::gzip::Extension ".gz";
APT::Compressor::gzip::Binary "gzip";
APT::Compressor::gzip::Cost "2";
APT::Compressor::gzip::CompressArg "";
APT::Compressor::gzip::CompressArg:: "-9n";
APT::Compressor::gzip::UncompressArg "";
APT::Compressor::gzip::UncompressArg:: "-d";
APT::Compressor::bzip2 "";
APT::Compressor::bzip2::Name "bzip2";
APT::Compressor::bzip2::Extension ".bz2";
APT::Compressor::bzip2::Binary "bzip2";
APT::Compressor::bzip2::Cost "3";
APT::Compressor::bzip2::CompressArg "";
APT::Compressor::bzip2::CompressArg:: "-9";
APT::Compressor::bzip2::UncompressArg "";
APT::Compressor::bzip2::UncompressArg:: "-d";
APT::Compressor::lzma "";
APT::Compressor::lzma::Name "lzma";
APT::Compressor::lzma::Extension ".lzma";
APT::Compressor::lzma::Binary "lzma";
APT::Compressor::lzma::Cost "4";
APT::Compressor::lzma::CompressArg "";
APT::Compressor::lzma::CompressArg:: "-9";
APT::Compressor::lzma::UncompressArg "";
APT::Compressor::lzma::UncompressArg:: "-d";
APT::Compressor::xz "";
APT::Compressor::xz::Name "xz";
APT::Compressor::xz::Extension ".xz";
APT::Compressor::xz::Binary "xz";
APT::Compressor::xz::Cost "5";
APT::Compressor::xz::CompressArg "";
APT::Compressor::xz::CompressArg:: "-6";
APT::Compressor::xz::UncompressArg "";
APT::Compressor::xz::UncompressArg:: "-d";
Dir "/";
Dir::State "var/lib/apt/";
Dir::State::lists "lists/";
Dir::State::cdroms "cdroms.list";
Dir::State::mirrors "mirrors/";
Dir::State::extended_states "extended_states";
Dir::State::status "/var/lib/dpkg/status";
Dir::Cache "var/cache/apt/";
Dir::Cache::archives "archives/";
Dir::Cache::srcpkgcache "srcpkgcache.bin";
Dir::Cache::pkgcache "pkgcache.bin";
Dir::Etc "etc/apt/";
Dir::Etc::sourcelist "sources.list";
Dir::Etc::sourceparts "sources.list.d";
Dir::Etc::vendorlist "vendors.list";
Dir::Etc::vendorparts "vendors.list.d";
Dir::Etc::main "apt.conf";
Dir::Etc::netrc "auth.conf";
Dir::Etc::parts "apt.conf.d";
Dir::Etc::preferences "preferences";
Dir::Etc::preferencesparts "preferences.d";
Dir::Etc::trusted "trusted.gpg";
Dir::Etc::trustedparts "trusted.gpg.d";
Dir::Bin "";
Dir::Bin::methods "/usr/lib/apt/methods";
Dir::Bin::solvers "";
Dir::Bin::solvers:: "/usr/lib/apt/solvers";
Dir::Bin::dpkg "/usr/bin/dpkg";
Dir::Bin::lzma "/usr/bin/lzma";
Dir::Bin::xz "/usr/bin/xz";
Dir::Bin::bzip2 "/bin/bzip2";
Dir::Media "";
Dir::Media::MountPath "/media/apt";
Dir::Log "var/log/apt";
Dir::Log::Terminal "term.log";
Dir::Log::History "history.log";
Dir::Ignore-Files-Silently "";
Dir::Ignore-Files-Silently:: "~$";
Dir::Ignore-Files-Silently:: "\.disabled$";
Dir::Ignore-Files-Silently:: "\.bak$";
Dir::Ignore-Files-Silently:: "\.dpkg-[a-z]+$";
Dir::Ignore-Files-Silently:: "\.save$";
Dir::Ignore-Files-Silently:: "\.orig$";
Dir::Ignore-Files-Silently:: "\.distUpgrade$";
Acquire "";
Acquire::cdrom "";
Acquire::cdrom::mount "/media/cdrom/";
Acquire::Languages "";
Acquire::Languages:: "en_US";
Acquire::Languages:: "en";
Acquire::Languages:: "none";
Aptitude "";
Aptitude::Get-Root-Command "sudo:/usr/bin/sudo";
Unattended-Upgrade "";
Unattended-Upgrade::Allowed-Origins "";
Unattended-Upgrade::Allowed-Origins:: "${distro_id}:${distro_codename}-security";
DPkg "";
DPkg::Pre-Install-Pkgs "";
DPkg::Pre-Install-Pkgs:: "/usr/sbin/dpkg-preconfigure --apt || true";
DPkg::Post-Invoke "";
DPkg::Post-Invoke:: "if [ -d /var/lib/update-notifier ]; then touch /var/lib/update-notifier/dpkg-run-stamp; fi; if [ -e /var/lib/update-notifier/updates-available ]; then echo > /var/lib/update-notifier/updates-available; fi ";
CommandLine "";
CommandLine::AsString "apt-config dump";
share|improve this question
    
Please share the content or output of the following commands/files to better help us troubleshoot your problem (instructions in this answer): file(s): /etc/apt/sources.list, command(s): wget -S --spider http://extras.ubuntu.com, apt-config dump –  izx Jul 16 '12 at 10:00
    
@izx Questions answered, please see edit –  Geronimo Jul 16 '12 at 10:25
add comment

1 Answer

up vote 5 down vote accepted

apt-get is not obeying your system-wide proxy settings.

  • Create a file called 95proxies in /etc/apt/apt.conf.d/, and include the following:

    Acquire::http::proxy "http://www-proxy.ericsson.se:8080/";
    Acquire::ftp::proxy "ftp://www-proxy.ericsson.se:8080/";
    Acquire::https::proxy "https://www-proxy.ericsson.se:8080/";
    

Finally, logout and reboot to make sure the changes take effect.

That should hopefully fix your apt-get "unable to connect" problem.

share|improve this answer
    
Holy moly, this worked. You know your stuff! –  Geronimo Jul 16 '12 at 12:13
    
@Geronimo: Glad to have helped. With your permission, may I edit your question later to make it a more generic "I have a proxy but apt-get doesn't work" -- I've seen lots of people behind corporate firewalls have this issue? –  izx Jul 16 '12 at 12:17
    
yes sure, be my guest. Also, maybe you can explain this 95proxies file, I do not remember having this problem with my old Ubuntu 10.10 machine. Thanks again for great work! –  Geronimo Jul 16 '12 at 12:20
    
Thanks a ton, it worked beautifully. –  Ayusman May 14 '13 at 22:48
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.